<template>
  <div class="card myBets">
    <div class="myBets_body">
      <div class="flex flex-center myBets_body-values first_deposit_slider">
        <AmountInput
          @change="(val)=>{amount=parseFloat((amount+val).toFixed(2));}"
          :value="amount"
          :step="step"></AmountInput>
      </div>
      <div class="flex flex-center myBets_body-slider">
        <div class="flex flex-middle">
          <div class="progress"></div>
        </div>
        <BSlider
          v-model="amount"
          :zeroBlock="zeroBlock"
          :min="min"
          :max="max"
          :step="step"
          label="EOS"></BSlider>
      </div>
      <div class="flex flex-between">
        <div class="first_deposit_slider-amount">{{min}} EOS</div>
        <div class="first_deposit_slider-amount">{{max}} EOS</div>
      </div>
    </div>
  </div>
</template>

<script>
  import AmountInput from '~/components/UI/AmountInput';
  import BSlider from '~/components/UI/Slider/';

  export default {
    name: "Slider",
    props: {
      val: {
        type: Number,
        default: 5
      }
    },
    data() {
      return {
        zeroBlock: 10,
        amount: 0,
        min: 2,
        max: 1000,
        step: 1
      }
    },
    components: {
      AmountInput,
      BSlider,
    },
    watch: {
      'amount': function() {
        this.$emit('change', this.amount);
      },
      val() {
        this.amount = this.val;
      }
    }
  }
</script>
<style lang="scss">
  .first_deposit_slider {
    &-amount {
      font-size: .725rem;
      &:first-child {
        color: rgba(255, 255, 255, .6);
        margin-left: 10px;
      }
      &:last-child {
        color: rgba(255, 255, 255, 1);
        margin-right: 10px;
      }
    }
  }
</style>
